 % --------------------  GRAPHICAL DISPLAYS --------------------------------------------            
  figure('Units','Normalized','Position',[.02 .54 .5 .35],'Name','Induction motor starting transients');
   figure(1)
   plot(t,spd,'color',[0.5 0 0]);title('Speed vs time','color','r');xlabel('Time [s]'),ylabel('Speed [pu]'),grid
  figure('Units','Normalized','Position',[.02 .09 .5 .35],'Name','Induction motor starting transients');
   figure(2) 
   plot(0,0,'w',t,ids,'-b',t,iqs,'-g',t,im,'-r');title('Currents vs time','color','r');xlabel('Time [s]'),ylabel('Currents [pu]'),grid
    if km==1, ref='Stator frame';
     elseif km==2, ref='Synchronous frame';
     else ref='Rotor frame';
    end
   legend(ref)
  figure('Units','Normalized','Position',[.52 .54 .45 .35],'Name','Induction motor starting transients');
   figure(3)
   plot(t,Te);title('Torque vs time','color','b');xlabel('Time [s]'),ylabel('Torque [pu]'),grid
  figure('Units','Normalized','Position',[.52 .09 .45 .35],'Name','Induction motor starting transients');
   figure(4)
   plot(spd,Te,'-r');title('Torque vs Speed','color','r');xlabel('Speed [pu]'),ylabel('Torque [pu]'),grid
    
   h0=figure('Units','Normalized','menubar','none','numbertitle','off','Position',[.87 .4 .12 .14]); 
       uicontrol('Parent',h0, ...
          'Units','normalized', ...
	      'BackgroundColor',[0.5 0.5 0.5], ...
	      'Callback','close all,clc', ...
	      'FontSize',10, ...
	      'FontWeight','bold', ...
          'ForegroundColor',[1 1 1], ...
 	      'Position',[0.27 0.32 0.55 0.15], ...
	      'String','CLOSE', ...
	      'TooltipString','Close'); 
       uicontrol('Parent',h0, ...
          'Units','normalized', ...
	      'BackgroundColor',[0.5 0.5 0.5], ...
	      'Callback','edit immod1', ...
	      'FontSize',10, ...
	      'FontWeight','bold', ...
          'ForegroundColor',[1 1 1], ...
 	      'Position',[0.27 0.56 0.5 0.15], ...
	      'String','EDIT', ...
	      'TooltipString','Edit');
      uicontrol('Parent',h0, ...
          'Units','normalized', ...
	      'BackgroundColor',[0.5 0.5 0.5], ...
	      'Callback','run immod1', ...
	      'FontSize',10, ...
	      'FontWeight','bold', ...
          'ForegroundColor',[1 1 1], ...
 	      'Position',[0.27 0.8 0.55 0.15], ...
	      'String','RERUN', ...
	      'TooltipString','Run');
      uicontrol('Parent',h0, ...
          'Units','normalized', ...
	      'BackgroundColor',[0.5 0.5 0.5], ...
	      'Callback','run imstatic1', ...
	      'FontSize',10, ...
	      'FontWeight','bold', ...
          'ForegroundColor','y', ...
 	      'Position',[0.04 0.09 0.93 0.17], ...
	      'String','STEADY STATE', ...
	      'TooltipString','Stat');
% ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~