%                <<<   DATA FOR IMabccap0.mdl  >>>
clc,close all
%%%%%%%%%%%%%%%%%%%%%%% PARAMETERS [SI] %%%%%%%%%%%%%%%%%%%%%%%%
Vm=110*sqrt(2);    %Line voltage rating [V]
Rs=2.02    ;   %Stator resistance (Ohm)
Rr=4.12  ;    %Rotor resistance  (Ohm)
Lsl=8.54e-3 ;    %Stator leakage inductance(H)
Lrl=3.13e-3    ; %Rotor leakage inductance  (H)
Lm=180e-3   ;  %Magnetizing inductance  (H) 
freq0=60   ;    %Base frequency (Hz)imdqrun0
wo=2*pi*freq0 ; %Base frequency (rad/s)
p=4        ;    %number of poles
J=0.0147    ;     %Moment of inertia (kg.m^2)
TL1=10;         %Initial load torque [N.m]
TL2=2;          %Final load torque [N.m]
Bm=1e-4;        %Frictional coefficient
nsync=120*freq0/p;%Synchronous speed [rpm]

gam=2*pi/3;
    
                 
   Ls=Lsl+Lm; Lr=Lrl+Lm;      
 
   R=diag([Rs Rs Rr Rr]);               % Resistance matrix   
    
   % Inductance matrices 
    Lss=[Ls   0  
         0    Ls];
            
    Lrr=[Lr   0 
         0    Lr];
    
  %% Lsr=Lm*[cos(theta)     -sin(theta
  %%         sin(theta)      cos(theta)]
  
  %%       L = [Lss Lsr
  %%           Lsr' Lrr]
  
  %% dLsr=Lm*[-sin(theta)     -cos(theta)
  %%          cos(theta)      -sin(theta)] 
  
  %%       dLdtheta = [zeros(2) dLsr
  %%                   dLsr'  zeros(2)]
  
  %%% Matrix formulation of induction machine equations in abc phase variable model
  %%% Constitutive flux-current relations:
  %%%    F = L*I   or  I = L\F  
  %%% Electrical system equations:
  %%%    V= R*I + dF/dt = R*I + d(L*I)/dt = (R + wm*dL/dtheta)*I + L*dI/dt  
  %%% Mechanical system equation:
  %%%    Te = J*dwmec/dt + TL + Bm*wmec
  %%%    wm = p/2*wmec
  %%%    wm = dtheta/dt
       
  %% Te=p/4*I'*dLdtheta*I          Electromagnetic torque
 