%                <<<   DATA FOR IMabcspd1.mdl  >>>
clc,close all
%%%%%%%%%%%%%%%%%%%%%%% PARAMETERS [SI] %%%%%%%%%%%%%%%%%%%%%%%%
%% Y-connected 3-phase stator
Vll=220    ;    %Efektivna vrednost linijskog napona [V]
Rs=0.531    ;   %Otpornost statora(Oma)
Rr=0.408   ;    %Otpornost rotora (Oma)
Lsl=2.5e-3 ;    %Induktivnost statora (H)
Lrl=2.5e-3    ; %Induktivnost rotora(H)
Lm=84.7e-3   ;  %Induktivnost magnecenja (H) 
freq0=60   ;    %Bayna frekvencija (Hz)
wo=2*pi*freq0 ; %Bayna ugaona brzina (rad/s)
p=4        ;    % broj polova
J=0.05   ;      %Moment inercije (kg.m^2)
TL1=10;         %Moment opterecenja [N.m]
Bm=.001;        %Koeficijent trenja 
ws=1.0     ;    %Frekvencija statora (r.j.)
nsync=120*freq0/p;% Sinhrona bryina obrtanja [min-1]
Vm=Vll*sqrt(2/3);%Maksimalna fazna frednost napona [V]
gam=2*pi/3;
    
   Lm1=2/3*Lm;      % Jednofazna induktivnost[H]                
   Ls=Lsl+Lm1; Lr=Lrl+Lm1;      
 
    R=diag([Rs Rs Rs Rr Rr Rr]);               % Matrica otpornosti
    
   % Matrica induktivnosti
    Lss=[Ls   -Lm1/2 -Lm1/2   
        -Lm1/2   Ls  -Lm1/2
        -Lm1/2 -Lm1/2   Ls] ;
    
    Lrr=[Lr   -Lm1/2 -Lm1/2   
        -Lm1/2   Lr  -Lm1/2
        -Lm1/2 -Lm1/2   Lr]; 
  
  %% Lsr=Lm1*[cos(theta)     cos(theta+gam) cos(theta-gam)
  %%        cos(theta-gam)   cos(theta)   cos(theta+gam)
  %%       cos(theta+gam) cos(theta-gam)     cos(theta)]; 
  
  %%       L = [Lss Lsr
  %%           Lsr' Lrr]
  
  %% dLsr=Lm1*[-sin(theta)     -sin(theta+gam) -sin(theta-gam)
  %%          -sin(theta-gam)   -sin(theta)    -sin(theta+gam)
  %%          -sin(theta+gam)  -sin(theta-gam)     -sin(theta)]
        
  %%       dLdtheta = [zeros(3) dLsr
  %%                   dLsr'  zeros(3)]
  
  %%% Matricna formulacija jedna;ina asinhrone masine bey tranformacija
  %%% Relacije fliksa-struje:
  %%%    F = L*I   or  I = L\F  
  %%% Elektricni sistem jednacina:
  %%%    V= R*I + dF/dt = R*I + d(L*I)/dt = (R + wm*dL/dtheta)*I + L*dI/dt  
  %%% Mehanicki sistem jednacina:
  %%%    Te = J*dwmec/dt + TL + Bm*wmec
  %%%    wm = p/2*wmec
  %%%    wm = dtheta/dt
       
  %% Te=p/4*I'*dLdtheta*I          Electromagnetic torque
 