%  creates figure for setting parameters of the induction motor
clear,clc,close all
figure('Units','pixels', ...
   'Color',[0.8 0.8 0.8], ...
   'Name','Induction Motor Parameters',...
   'NumberTitle','off',...
	'Position',[505 65 500 596], ...
	'ToolBar','none');
 uicontrol('Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.8 0.3 0.04], ...
	'String','Stator Resistance Rs =', ...
	'Style','text');
hRs=uicontrol('Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[0.35 .8 .13 .04], ...
	'String','0.01', ...
	'Style','edit', ...
	   'TooltipString','Stator Resistance');
uicontrol(	'Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.7 0.3 0.04], ...
   'String','Rotor Resistance Rr =', ...
   'Style','text');
 hRr=uicontrol( 'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[0.35 .7 .13 .04], ...
	'String','0.02', ...
	'Style','edit', ...
	'TooltipString','Rotor Resistance');
 uicontrol('Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.6 0.3 0.045], ...
	'String','Stator Leakage Inductance Lsl =', ...
	'Style','text');
hLs=uicontrol('Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[0.35 .6 .13 .04], ...
	'String','0.1', ...
	'Style','edit', ...
	'TooltipString','Stator Leakage Inductance');
uicontrol('Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.5 0.3 0.045], ...
	'String','Rotor Leakage Inductance Lrl =', ...
	'Style','text');
 hLr=uicontrol('Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[0.35 .5 .13 .04], ...
	'String','0.1', ...
	'Style','edit', ...
	'TooltipString','Rotor Leakage Inductance');
uicontrol('Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.55 0.5 0.3 0.045], ...
	'String','Magnetizing Inductance Lm =', ...
	'Style','text');
hLm=uicontrol('Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[0.85 .5 .13 .04], ...
	'String','4.5', ...
	'Style','edit', ...
	'TooltipString','Magnetizing Inductance');
uicontrol('Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.55 0.8 0.3 0.04], ...
	'String','Stator Voltage vs =', ...
	'Style','text');
 hvs=uicontrol( 'Units','normalized',... 
   'BackgroundColor',[1 1 1], ...
	'Position',[0.85 .8 .13 .04], ...
	'String','1.0', ...
	'Style','edit', ...
	'tag','v_s', ...
   'TooltipString','Stator voltage');
uicontrol('Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.55 0.7 0.3 0.04], ...
	'String','Stator Frequency ws =', ...
	'Style','text');
hws = uicontrol('Units','normalized',... 
   'BackgroundColor',[1 1 1], ...
	'Position',[0.85 .7 .13 .04], ...
	'String','1.0', ...
	'Style','edit', ...
	'tag','w_s', ...
   'TooltipString','Stator frequency');
uicontrol(	'Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.55 0.6 0.3 0.04], ...
	'String','Base Frequency fo [Hz] =', ...
	'Style','text');
hf=uicontrol( 'Units','normalized',... 
   'BackgroundColor',[1 1 1], ...
	'Position',[0.85 .6 .13 .04], ...
	'String','60.0', ...
	'Style','edit', ...
	'TooltipString','Base frequency');
 uicontrol('Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.35 0.4 0.3 0.04], ...
	'String','Speed wm =', ...
	'Style','text');
 hn0=uicontrol( 'Units','normalized',... 
   'BackgroundColor',[1 1 1], ...
	'Position',[0.65 .4 .13 .04], ...
	'String','0.98', ...
	'Style','edit', ...
	'TooltipString','Speed');
uicontrol('Units','normalized', ...
	'Callback','imphasor2', ...
	'FontSize',12, ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.5], ...
	'Position',[0.4 0.2 0.3 0.10], ...
	'String','Phasor diagram', ...
   'TooltipString','phasors');
uicontrol('Units','normalized', ...
	'Callback','clc,clear, close all', ...
	'FontSize',12, ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.5], ...
	'Position',[0.45 0.07 0.2 0.10], ...
	'String','Quit', ...
   'TooltipString','Quit');
uicontrol('Units','normalized', ...
	'BackgroundColor',[0.75 0.75 0.75], ...
	'FontSize',12, ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.63], ...
	'Position',[0.1 0.95 0.8 0.05], ...
	'String',' Induction Motor Parameters', ...
	'Style','text');
 uicontrol('Units','normalized', ...
    'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.82], ...
	'Position',[0.36 0.87 0.31 0.06], ...
	'String','Enter parameter values in per unit:', ...
	'Style','text');
web(which('imcirk1.html'));
