%Data
clc
status=close(imphasorout1);
h=findobj(gcf,'Tag','Rs');Rs=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Lsl');Lsl=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Rr');Rr=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Lrl');Lrl=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Lm');Lm=str2num(get(h,'string'));
h=findobj(gcf,'Tag','vs');vs=str2num(get(h,'string'));
h=findobj(gcf,'Tag','ws');ws=str2num(get(h,'string'));
h=findobj(gcf,'Tag','n0');n0=str2num(get(h,'string'));
if n0==ws n0=ws+eps;end
%%%%%%
% Compute
format short
Ls=Lsl+Lm ; Lr=Lrl+Lm;
j=sqrt(-1);
  Zr=Rr/(ws-n0+eps)+j*Lrl; Zm=j*Lm*Zr/(j*Lm+Zr);  Zin=Rs/ws+j*Lsl+Zm;
    Is=vs/(ws*Zin);  Ir=-Is*j*Lm/(j*Lm+Zr); Ismag=abs(Is);Irmag=abs(Ir);
    Req=real(Zm);    Tl0=Is*conj(Is)*Req;
    phis=Ls*Is+Lm*Ir;  phir=Lm*Is+Lr*Ir;    phids=real(phis);  phiqs=imag(phis);
    phidr=real(phir);  phiqr=imag(phir);    phismag=abs(phis); phirmag=abs(phir);
    op=[n0  Tl0  Ismag   Irmag  phismag phirmag] ;
    disp('                 Operating point ')
    disp('       n      Tl         Is        Ir        fs       fr')  
    disp(op) 
% Plot   
Ls=Lsl+Lm ; Lr=Lrl+Lm;
j=sqrt(-1);
    Zr=Rr/(ws-n0)+j*Lrl; Zm=j*Lm*Zr/(j*Lm+Zr);  Zin=Rs/ws+j*Lsl+Zm;
    Is=vs/(ws*Zin);  Ir=-Is*j*Lm/(j*Lm+Zr); Ismag=abs(Is);Irmag=abs(Ir);
    Im=Is+Ir;
    Req=real(Zm);    Tl0=Is*conj(Is)*Req;
    phis=Ls*Is+Lm*Ir;  phir=Lm*Is+Lr*Ir;    phids=real(phis);  phiqs=imag(phis);
    phidr=real(phir);  phiqr=imag(phir);    phismag=abs(phis); phirmag=abs(phir);
    phim=Lm*Im; phimd=real(phim); phimq=imag(phim);
    op=[n0  Tl0  Ismag   Irmag  phismag phirmag] ;
    disp('                 Operating point ')
    disp('       n     Tl         Is        Ir        fs       fr')  
    disp(op) 
    
 figure('Position',[60 60 490 565],'Name','PHASORS OF AN INDUCTION MACHINE',...
         'NumberTitle','off',...
         'DoubleBuffer','off');
     
      compass(Is,'r');text(real(Is),imag(Is),'I_s'),hold on
      compass(Ir,'m');text(real(Ir),imag(Ir),'I_r')
      compass(phis,'g');text(real(phis),imag(phis),'f_s')
      compass(phir,'b');text(real(phir),imag(phir),'f_r')
      compass(1,0,'k');text(1,0,'V')
      set(findobj(gca,'Type','line'),'LineWidth',2)
      title('PHASORS')
      Tl01=sprintf('%6.3f',Tl0);
      n01=sprintf('%6.3f',n0);
      Ism1=sprintf('%6.3f',Ismag);
      text(-1.2*Ismag,-1.26*Ismag,['Torque = ',Tl01],'Fontweight','b','FontSize',12)
      text(-1.2*Ismag,-1.36*Ismag,['Speed = ',n01],'Fontweight','b','FontSize',12)
      text(-1.2*Ismag,-1.45*Ismag,['Stator current = ',Ism1],'FontWeight','b','FontSize',12)
      legend('Is','Ir','fs','fr','V',0)
            hold off
            
      h1=figure('Position',[20 65 550 565],'Name','PHASOR DIAGRAM',...
         'NumberTitle','off',...
         'DoubleBuffer','off'); 
         
     xb=0;yb=0;
     vds=vs;vqs=0;co='k';
     vector_draw(xb,yb,vds,vqs,co)     % Vs
     ids=real(Is);iqs=imag(Is);co='r';
     vector_draw(xb,yb,ids,iqs,co)     % Is
     idr=real(Ir);iqr=imag(Ir);co='m';
     vector_draw(xb,yb,idr,iqr,co)     % Ir
     co='g';
     vector_draw(xb,yb,phids,phiqs,co) % fs
     co='b';
     vector_draw(xb,yb,phidr,phiqr,co)  % fr
     co='c';
     vector_draw(xb,yb,phimd,phimq,co)  % fm
     IRds=-real(Rs*Is);IRqs=-imag(Rs*Is);
     co='k';
     vector_translate(xb,yb,IRds,IRqs,vds,vqs,co)  % Rs Is
     imd=real(Im);imq=imag(Im);co='y';       
     vector_draw(xb,yb,imd,imq,co)        % Im
     ILdr=real(Lrl*Ir); ILqr=imag(Lrl*Ir);
     co='b';
     vector_translate(xb,yb,ILdr,ILqr,phimd,phimq,co)  % Lrl Ir
     ILds=real(Lsl*Is); ILqs=imag(Lsl*Is);
     co='g';
     vector_translate(xb,yb,ILds,ILqs,phimd,phimq,co)  % Lsl Is
     an=90; co='g';
     vector_rotate(xb,yb,phids,phiqs,an,co) % Es
     vds=vs;vqs=0;co='k';
     vector_draw(xb,yb,vds,vqs,co)          % Vs
     title('PHASOR DIAGRAM')
     set(findobj(gca,'Type','line'),'LineWidth',2)
     set(findobj(gca,'type','line','color',[1 1 0]),...
         'color',[.5,0,0])
     
      h2=figure('Position',[560 65 550 565],'Name','SPACE VECTOR DIAGRAM',...
         'MenuBar','Figure','NumberTitle','on');
         %'DoubleBuffer','off'); 
       xb=0;yb=0;
     idr=real(Ir);iqr=imag(Ir);co='m';
     vector_draw(xb,yb,idr,iqr,co)       % Ir
     co='g';
     vector_draw(xb,yb,phids,phiqs,co)   % fs
     co='b';
     vector_draw(xb,yb,phidr,phiqr,co)   % fr
     co='c';
     vector_draw(xb,yb,phimd,phimq,co)   % fm
     IRds=-real(Rs*Is);IRqs=-imag(Rs*Is);
          imd=real(Im);imq=imag(Im);co='y';       
     vector_draw(xb,yb,imd,imq,co)        % Im
     ILds=real(Lsl*Is); ILqs=imag(Lsl*Is);
     co='g';
     vector_translate(xb,yb,ILds,ILqs,phimd,phimq,co)  % Lsl Is
     LsISd=real(Ls*Is); LsISq=imag(Ls*Is); co='b';
     ILdr=real(Lrl*Ir); ILqr=imag(Lrl*Ir);
     co='b';
     vector_translate(xb,yb,ILdr,ILqr,phimd,phimq,co)  % Lrl Ir
     co='g';
     vector_draw(xb,yb,LsISd,LsISq,co)                % Ls Is
     LmIrd=real(Lm*Ir); LmIrq=imag(Lm*Ir); co='g';
     co='g';
     vector_translate(xb,yb,LmIrd,LmIrq,LsISd,LsISq,co) % Lm Ir
     LrIrd=real(Lr*Ir); LrIrq=imag(Lr*Ir); 
     LmISd=real(Lm*Is); LmISq=imag(Lm*Is); co='c';
     LrIRd=real(Lr*Ir); LrIRq=imag(Lr*Ir);
     vector_draw(xb,yb,LrIRd,LrIRq,'c')                % Lr Ir
     vector_translate(xb,yb,LmISd,LmISq,LrIRd,LrIRq,'c') % Lm Is
     ids=real(Is);iqs=imag(Is);co='r'; 
     vector_draw(xb,yb,ids,iqs,co)   % Is
     vector_draw(xb,yb,idr,iqr,'m')       % Ir    
     title('SPACE VECTOR DIAGRAM')
     set(findobj(gca,'Type','line'),'LineWidth',2)
     set(findobj(gca,'type','line','color',[1 1 0]),...
         'color',[.5,0,0]) 
