%plots
close all,clc
% -------------  DATA  -------------------------------------------------------
 spd=y(:,1);
 phidr=x(:,3); phiqr=x(:,4);
 ids=y(:,3)  ;  iqs=y(:,4) ; is=sqrt(ids.^2+iqs.^2);
 thetas=y(:,5); ias=ids.*cos(thetas)-iqs.*sin(thetas);
 Te=y(:,2); Tl=y(:,6) ;
 % --------------------  GRAPHICAL DISPLAYS  ----------------------------------
 h0=figure('Position',[25  60  970  560],'Name','Induction motor transient characteristics',...
    'NumberTitle','off');
  p1=axes('Position',[.58 .57 .36 .36]);
 plot(t,spd,'k'),xlabel('TIME [s]'),ylabel('SPEED [pu]'),title('Speed curve'),grid
 p2=axes('Position',[.08 .57 .36 .36]);
 plot(t,Te,'b',t,Tl,'g'),xlabel('TIME [s]'),ylabel('TORQUE [pu]'),title('Torque curve'),grid
 p3=axes('Position',[.08 .08 .36 .36]);
 plot(spd,Te,'b'),xlabel('SPEED [pu]'),ylabel('TORQUE [pu]'),title('Torque-speed curve'),grid
 p4=axes('Position',[.58 .08 .36 .36]);
 plot(t,ias,'r',t,is,'b'),xlabel('TIME [s]'),ylabel('CURRENT [pu]'),title('Stator current'),grid
 p5=axes('Position',[.3 .93 .5 .05]);
 axis off
 text(0.12,.95,['INDUCTION MOTOR CHARACTERISTICS'],'Fontsize',12,'Color','r');