%      Induction machine steady-state characteristics
%      derived from the phasor analysis of the equivalent circuit  
%      (per-unit formulation)
h0 = figure('Units','pixels', ...
   'Color',[0.8 0.8 0.8], ...
   'Name','Induction Machine Parameters',...
   'NumberTitle','off',...
	'Position',[15 40 450 315], ...
   'ToolBar','none');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
   'BackgroundColor',[.75 .75 .75], ...
   'FontSize',12, ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'Position',[0.05 0.92 0.8 0.06], ...
	'String','INDUCTION MACHINE PARAMETERS', ...
   'Style','text');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.8 0.4 0.06], ...
	'String','Stator resistance Rs =', ...
	'Style','text');
hRs = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[0.45 .8 .13 .06], ...
	'String','0.01', ...
	'Style','edit', ...
	'TooltipString','Stator resistance');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.7 0.4 0.06], ...
   'String','Stator leakage inductance Lsl=', ...
   'Style','text');
 hLs = uicontrol('Parent',h0, ...
   'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[0.45 .7 .13 .06], ...
	'String','0.10', ...
	'Style','edit', ...
	'TooltipString','Stator leakage inductance');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.6 0.4 0.06], ...
	'String','Rotor resistance Rr=', ...
	'Style','text');
hRr = uicontrol('Parent',h0, ...
   'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[0.45 .6 .13 .06], ...
	'String','0.02', ...
	'Style','edit', ...
	'TooltipString','Rotor resistance');
  uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.5 0.45 0.06], ...
	'String','Rotor leakage inductance Lrl =', ...
	'Style','text');
hLr = uicontrol('Parent',h0, ...
   'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[0.45 .5 .13 .06], ...
	'String','0.10', ...
	'Style','edit', ...
	'TooltipString','Rotor leakage inductance');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.4 0.4 0.06], ...
	'String','Magnetizing inductance Lm =', ...
	'Style','text');
 hLm = uicontrol('Parent',h0, ...
   'Units','normalized',... 
   'BackgroundColor',[1 1 1], ...
	'Position',[0.45 .4 .13 .06], ...
	'String','4.5', ...
	'Style','edit', ...
	'TooltipString','Magnetizing inductance');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.25 0.4 0.06], ...
	'String','Stator voltage V =', ...
	'Style','text');
 hVs = uicontrol('Parent',h0, ...
   'Units','normalized',... 
   'BackgroundColor',[1 1 1], ...
	'Position',[0.45 .25 .13 .06], ...
	'String','1.0', ...
	'Style','edit', ...
	'TooltipString','Stator voltage');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.15 0.4 0.06], ...
	'String','Stator frequency f =', ...
	'Style','text');
 hfs = uicontrol('Parent',h0, ...
   'Units','normalized',... 
   'BackgroundColor',[1 1 1], ...
	'Position',[0.45 .15 .13 .06], ...
	'String','1.0', ...
	'Style','edit', ...
	'TooltipString','Stator frequency');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.05 0.4 0.06], ...
	'String','Min--max speed n=', ...
	'Style','text');
 hn1 = uicontrol('Parent',h0, ...
   'Units','normalized',... 
   'BackgroundColor',[1 1 1], ...
	'Position',[0.45 .05 .13 .06], ...
	'String','0', ...
	'Style','edit', ...
	'TooltipString','Speed min');
hn2 = uicontrol('Parent',h0, ...
   'Units','normalized',... 
   'BackgroundColor',[1 1 1], ...
	'Position',[0.65 .05 .13 .06], ...
	'String','1.0', ...
	'Style','edit', ...
	'TooltipString','Speed max');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
   'BackgroundColor',[.7 .9 .8], ...
   'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.82], ...
	'Position',[0.05 0 0.95 0.05], ...
	'String','Specify parameter values in per unit (HP rating base)', ...
   'Style','text');
h1 = uicontrol('Parent',h0, ...
    'Units','normalized', ...
    'style','pushbutton',...
	'BackgroundColor',[.3 .3 .8], ...
	'Callback','imss1b', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor',[1 1 1], ...
	'Position',[0.7 0.8 0.25 0.08], ...
	'String','Characteritics', ...
    'TooltipString','Char');
h1 = uicontrol('Parent',h0, ...
   'Units','normalized', ...
	'BackgroundColor',[.3 .3 .8], ...
    'style','pushbutton',...
	'Callback','imRr1', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor',[1 1 1], ...
	'Position',[0.7 0.6 0.25 0.08], ...
	'String','Rr control', ...
   'TooltipString','Rr');
h1 = uicontrol('Parent',h0, ...
   'Units','normalized', ...
   'style','pushbutton',...
	'BackgroundColor',[.3 .3 .8], ...
	'Callback','imvvvf1', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor',[1 1 1], ...
	'Position',[0.7 0.4 0.25 0.08], ...
	'String','V/f control', ...
   'TooltipString','V/f');
h1 = uicontrol('Parent',h0, ...
   'Units','normalized', ...
	'BackgroundColor',[.3 .3 .8], ...
    'style','pushbutton',...
	'Callback','imbarA', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor',[1 1 1], ...
	'Position',[0.7 0.2 0.25 0.08], ...
	'String','Deep bar effect', ...
   'TooltipString','Bar');
h1 = uicontrol('Parent',h0, ...
   'Units','normalized', ...
   'style','pushbutton',...
	'BackgroundColor',[.3 .3 .8], ...
	'Callback','close,clear,close all', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor',[1 1 1], ...
	'Position',[0.8 0.05 0.15 0.08], ...
	'String','Quit', ...
	'TooltipString','Quit');
