%                           Single-phase induction motor
%                              Capacitor type
%                           Steady-state conditions
                                           
% --------------- Machine parameters (SI units): ---------------------------
Ras1=eval(get(hRas,'String'));
Rbs=eval(get(hRbs,'String'));
Xal=eval(get(hXal,'String'));
Xbl=eval(get(hXbl,'String'));
Rr=eval(get(hRr,'String'));
Xrl=eval(get(hXrl,'String'));
Xm=eval(get(hXm,'String'));
Vas=eval(get(hVas,'String'));
p=eval(get(hp,'String'));
fs=eval(get(hfs,'String'));
freq0=eval(get(hfreq,'String'));
Rstart=eval(get(hRst,'String'));
Rrun=eval(get(hRrun,'String'));
Xstart=eval(get(hXst,'String'));
Xrun=eval(get(hXrun,'String'));


%                Rating: 1/4-hp, 4-pole, 60-Hz, 110-V(rms)
            
            j=sqrt(-1); Vbs=Vas ;Ropen=1e8;  
            freq=fs*freq0;
           Xas=Xal+Xm ; Xbs=Xbl+Xm ; Xr=Xrl+Xm ;
           wsync=4*pi*freq/p;
for k=1:3
        if k==1, Ras=Ras1+Rstart; Xas=Xal+Xstart+Xm;
    elseif k==2, Ras=Ras1+Rrun  ; Xas=Xal+Xrun+Xm  ; 
    elseif k==3, Ras=Ropen      ; 
    end
    wmm=[0:0.01:1];                      % adjust speed range on this line
for m=1:size(wmm,2)                          % # of steps
   n=wmm(m);
% Z matrix ----------------------------------------------------------------------
  Z=[Ras+j*fs*Xas          0           j*fs*Xm       0        
         0            Rbs+j*fs*Xbs         0       j*fs*Xm    
      j*fs*Xm              n*Xm       Rr+j*fs*Xr   n*Xr       
      -n*Xm             j*fs*Xm        -n*Xr     Rr+j*fs*Xr];
% -------------------------------------------------------------------------------
     V=[Vas Vbs 0 0].';  I=Z\V;
  Ias(k,m)=abs(I(1)); Ibs(k,m)=abs(I(2));Iline(k,m)=abs(I(1)+I(2));
  spd(m)=n*wsync*30/pi;
  Te(k,m)=Xm/wsync*real(I(2)*conj(I(3))-I(1)*conj(I(4)));   % T_average
  Tp(k,m)=Xm/wsync*abs(I(2)*I(3)-I(1)*I(4));                % T_pulsating
  end
end
% ----------------------- GRAPHS  ------------------------------------------
figure('Position',[20 295 990 460],'Name','Capacitor motor characteristics',...
    'NumberTitle','off');
 
subplot(221),plot(spd,Te(1,:),spd,Te(2,:),spd,Te(3,:)),
xlabel('SPEED [rpm]'),ylabel('TORQUE [N.m]'),grid
subplot(222),plot(spd,Tp(1,:),spd,Tp(2,:),spd,Tp(3,:)),
xlabel('SPEED [rpm]'),ylabel('PULSATING TORQUE [N.m]'),grid
subplot(223),plot(spd,Ias(1,:),spd,Ias(2,:),spd,Ias(3,:)),
  xlabel('SPEED [rpm]'),ylabel('I_auxiliary [A]'),grid 
subplot(224),plot(spd,Ibs(1,:),spd,Ibs(2,:),spd,Ibs(3,:)),
   xlabel('SPEED [rpm]'),ylabel('I_main [A]'),grid 
   legend('start','run','open',0)
%subplot(224),plot(spd,Iline(1,:),spd,Iline(2,:),spd,Iline(3,:)),
%xlabel('SPEED [rad/s]'),ylabel('I_line [A]'),grid
