%                         Symmetrical induction machine
%                           Steady-state conditions
%                         Synchronously rotating frame

                                         
% -----------------   Machine parameters in per unit:  --------------------

Ras=eval(get(hRs,'String'));
Xas=eval(get(hXs,'String'));
Rr=eval(get(hRr,'String'));
Xr=eval(get(hXr,'String'));
Xm=eval(get(hXm,'String'));
Vs=eval(get(hVs,'String'));
ws=eval(get(hws,'String'));
beta=eval(get(hph,'String'));
n1=eval(get(hn1,'String'));
n2=eval(get(hn2,'String'));

     Rbs=Ras; Xbs=Xas;
     Vds=Vs*cos(beta) ;  Vqs=Vs*sin(beta);
% -------------------------------------------------------------------------
wk=ws;
wmm=[n1:0.01:n2];                        %  speed range 
for m=1:size(wmm,2)                      % # of steps
   wm=wmm(m);
   wr=wk-wm;
% Z matrix ------------------------------------------------------------------   
  Z=[Ras      -wk*Xbs     0     -wk*Xm 
     wk*Xas     Rbs    wk*Xm      0    
     0        -wr*Xm     Rr     -wr*Xr 
    wr*Xm       0      wr*Xr      Rr   ];
 % ---------------------------------------------------------------------------
     V=[Vds; Vqs; 0; 0];
     I=Z\V;
     Ids(m)=I(1);Iqs(m)=I(2);Idr(m)=I(3);Iqr(m)=I(4);
     Is(m)=sqrt(I(1)^2+I(2)^2) ; Ir(m)=sqrt(I(3)^2+I(4)^2);
     speed(m)=wm;
     Te(m)=Xm*(I(2)*I(3)-I(1)*I(4));   % T_average
  end
  % ----- Plots  --------- 
  
 figure('Position',[510 400 490  290],'Name','Torque-Speed curves',...
    'NumberTitle','off');
 
 plot(speed,Te,'linewidth',2),xlabel('SPEED'),ylabel('TORQUE'),title('Current circle diagram');grid
 figure('Position',[510 34 490  290],'Name','Current-Speed curves',...
    'NumberTitle','off');
 
 plot(speed,Is,'-r',speed,Ir,'-m','linewidth',2),xlabel('SPEED'),ylabel('CURRENTS'),grid
 figure('Position',[13 400 490  290],'Name','Current circle diagram',...
    'NumberTitle','off');

x1=[0 0];x2=[Vds Vqs];
plot(Ids,Iqs,'-r','linewidth',2),title('CIRCLE DIAGRAM'),grid,hold on
vecarrow(x1,x2,'b')
text(Vds,Vqs-.2,'  Vt','color','b')
axis equal
hold off
%