%                           Three-phase induction motor
%                           Steady-state conditions
%                           SI units

%                Machine parameters :
%                Rating: 3-hp, 4-pole, 60-Hz, 220-V, Y-connected

Ras=eval(get(hRas,'String'));
Rbs=eval(get(hRbs,'String'));
Xal=eval(get(hXal,'String'));
Xbl=eval(get(hXbl,'String'));
Rr=eval(get(hRr,'String'));
Xrl=eval(get(hXrl,'String'));
Xm=eval(get(hXm,'String'));
Vas=eval(get(hVas,'String'));
Vbs=eval(get(hVbs,'String'));
fs=eval(get(hfs,'String'));
freq0=eval(get(hfreq,'String'));
p=eval(get(hp,'String'));

            j=sqrt(-1);
           Xas=Xal+Xm ;   Xbs=Xbl+Xm ; Xr=Xrl+Xm ;
           wsync=4*pi*freq0/p;
           wmm=[0:0.02:1];               % adjust speed range on this line
for m=1:size(wmm,2)                      % # of steps
    n=wmm(m);                            % pu speed
% Z matrix ----------------------------------------------------------------------
  Z(1,1)=Ras+j*fs*Xas; Z(1,2)=0           ; Z(1,3)=j*fs*Xm   ; Z(1,4)=0         ;
  Z(2,1)= 0          ; Z(2,2)=Rbs+j*fs*Xbs; Z(2,3)=0         ; Z(2,4)=j*fs*Xm   ;
  Z(3,1)=j*fs*Xm     ; Z(3,2)=n*Xm        ; Z(3,3)=Rr+j*fs*Xr; Z(3,4)=n*Xr      ;
  Z(4,1)=-n*Xm       ; Z(4,2)=j*fs*Xm     ; Z(4,3)=-n*Xr     ; Z(4,4)=Rr+j*fs*Xr;
% -------------------------------------------------------------------------------
     V=[Vas Vbs 0 0].';
     I=Z\V;
  Ias(m)=abs(I(1)); Ibs(m)=abs(I(2));
  spd(m)=n*wsync*30/pi;                                       % speed [rpm]
  Te(m)=1.5*Xm/wsync*real(I(2)*conj(I(3))-I(1)*conj(I(4)));   % T_average
  Tp(m)=1.5*Xm/wsync*abs(I(2)*I(3)-I(1)*I(4));                % T_pulsating
end
%     Plots
 figure('Position',[510 400 490  290],'Name','Torque-Speed curve',...
    'NumberTitle','off');
 
 plot(spd,Te,'-r'),xlabel('SPEED [rpm]'),ylabel('AVERAGE TORQUE [N.m]'),grid;
figure('Position',[510 34 490  290],'Name','Torque-Speed curves',...
    'NumberTitle','off');
 
 plot(spd,Tp,'-b'),xlabel('SPEED [rpm]'),ylabel('PULSATING TORQUE [N.m]'),grid
 figure('Position',[13 265 490  420],'Name','Current-speed curve',...
    'NumberTitle','off');
 
    subplot(211),plot(spd,Ias,'-r'),xlabel('SPEED [rpm]'),ylabel('Ias [A]'),grid 
    subplot(212),plot(spd,Ibs),xlabel('SPEED [rpm]'),ylabel('Ibs [A]'),grid


