%imssrun2.m file used in conjunction with imss2.mdl 
%       Steady-state characteristics of induction motor
%       Parametric display of torque-speed and current-speed curves
clc,close all,clear
disp('          Parameters of induction machine in per unit   ')
disp('                                                        ')
disp('    Rs        Rr        Lsl       Lrl       Lm    ')
format short
%%%  Specify here the machine parameters in pu:
% default---> Rs=.01 ;Rr=0.02; Lsl=0.1 ; Lrl=.1 ; Lm=4.5 ;V=1.0 ;ws=1.0;
    Rs=.01 ;Rr=0.02; Lsl=0.1 ; Lrl=.1 ; Lm=4.5 ;V=1.0 ;ws=1.0;
%%% ----------------------------------------------------------
param1=[Rs Rr Lsl Lrl Lm];
disp(param1)
disp('     V     ws')
param2=[V ws];
disp(param2);
%%%%  Parameter vectors:
 parRr=[.02 .01 .05 0.075 .1 .2];
 parV=[1 1 .75 .5 .25 .1];
 parws=[1 1.2 .75 .5 .25 .1];
 parLrl=[.1 0 .05 .2 .25 .3];
 h=figure('Position',[30 300 970 490],'Name',...
    'Steady-state characteristics of the induction machine',...
    'NumberTitle','off','color',[.7 .7 .7]);
   figure(h)
 for m=1:6
%%% Select (or deselect) one or more of the following vectors:
    % Rr=parRr(m); 
     V=parV(m);
     ws=parws(m);
    % Lrl=parLrl(m);
  wm=[0:.01:1.4];     % adjust speed range here
    %  wm=0;
  sim('imss2')
  Te(m,:)=torque;
  Is(m,:)=current;
  subplot(121)
      plot(wm,Te),xlabel('SPEED'),ylabel('TORQUE'),grid
  subplot(122),
      plot(wm,Is),xlabel('SPEED'),ylabel('CURRENT'),grid
  end  
 