%       Steady-state characteristics of induction motor
%       Variable-frequency, variable-voltage operation
%       (in per unit)
%     DATA
clc
h=findobj(gcf,'Tag','Rs');Rs=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Lsl');Lsl=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Rr');Rr=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Lrl');Lrl=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Lm');Lm=str2num(get(h,'string'));
h=findobj(gcf,'Tag','V');V=str2num(get(h,'string'));
h=findobj(gcf,'Tag','f');f=str2num(get(h,'string'));
h=findobj(gcf,'Tag','n1');n1=str2num(get(h,'string'));
h=findobj(gcf,'Tag','n2');n2=str2num(get(h,'string'));
%
V=[1 1 1 0.9 0.8 0.7 0.6 0.5 0.4 0.3 0.2 0.1];
f=[1.2 1.1 1 0.9 0.8 0.7 0.6 0.5 0.4 0.3 0.2 0.1];
j=sqrt(-1);
%
figure('Units','Normalized','Position',[.03 .167 .56 .7],...
     'Name','KARAKTERISTIKE PRI KONSTANTNOM ODNOSU Volts/Herz ','NumberTitle','off');
   wm= n1:.001:n2; 
  Is=[]; Te=[];
for k=1:12
   Zr=Rr./(f(k)-wm+eps)+j*Lrl;
  Zm=j*Lm.*Zr./(j*Lm+Zr);
  Zin=Rs/f(k)+j*Lsl+Zm;
  Req=real(Zm);
  I=V(k)./(f(k)*abs(Zin));
  T=I.*I.*Req;
   for p=1:length(T)
      if T(p)<0 T(p)=0;end
  end   
  Is(k,:)=I;
  Te(k,:)=T;
   VV=num2str(V(k));
  ff=num2str(f(k));
  subplot(211),   
    plot(wm,Te),grid
    title('Rad pro konkstantnom odnosu Volts/Hz','color','r'),xlabel('BRZINA'),ylabel('MOMENT')
    text(.03,.15,'V=','color','r'),text(.26,.15,'f=','color','r')
    text(.1 ,.15,VV,'color','r'),text(.3,.15,ff,'color','r')
   %axis([0 1.2 0 6])
    M(k)=getframe; 
  subplot(212),   
    plot(wm,Is),xlabel('BRZINA'),ylabel('STRUJA'),grid
    text(.03,0.2,'V=','color','r'),text(.26,0.2,'f=','color','r')
    text(.1,.2,VV,'color','r'),text(.3,.2,ff,'color','r')
    %axis([0 1.2 0 6])
    N(k)=getframe;
 uicontrol('Units','normalized', ...
	'BackgroundColor',[.3 .3 .8], ...
	'Callback','pause', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor','b', ...
	'Position',[0.9 0.01 0.09 .06], ...
	'String','PAUZA', ...
   'TooltipString','pause');
  for p=1:2500000 jj=[]; end
end
subplot(211)
movie(M,1)
subplot(212)
movie(N,1)

