% maggen curve & Rf control
clc,close all
x=[0 .4 .5 .6 .7 .8 1 1.2 1.4 1.6 1.8 2 2.2 2.4 2.8 3];
y=[0 140 162 176 189 200 215 226 237 247 255 260 265 270 275 276];
co=['ymbrg']; u=0;
figure('Units','Normalized','Position',[.02 .1 .47 .45],...
     'Name','MAGNETIZATION CURVE','NumberTitle','on')
xx=[0:.02:3];
yy=spline(x,y,xx);
plot(xx,yy,'k'),title('Mag curve','fontsize',12,'color','b'),
    xlabel('Field current i_f [A]'),ylabel('Open-circuit voltage [V]'),
grid,hold on
for k= [100:50:300]
    u=u+1;
    plot([0 300/k],[0 300],co(u))
end
 set(findobj(gca,'type','line','color','k'),'linewidth',2)
 text( 1.0,8,' slope = field resistance','color','g')
 text (1.0,30,' intersection of mag curve and Rf line')
 text (1.0,20,' establishes operating point at no load')
 hold off
figure('Units','Normalized','Position',[.5 .1 .47 .45],...
     'Name','VOLTAGE CONTROL','NumberTitle','on')
 vt2=vt1(length(vt1),1:5);
 ea2=ea1(length(ea1),1:5);
 Rf=[100:50:300];
 plot(Rf,vt2,'-ob',Rf,ea2,'-xr'),title('R_f voltage control','fontsize',12,'color','b'),
     xlabel(' Field resistance R_f [Ohm]'),ylabel('Steady-state voltages vt & ea [V]'),grid
  set(gca,'Xlim',[100 300],'Ylim',[120 300])   
  legend('vt','ea')
  text(125,130,'Vertical separation = Ia Ra','color','g')