%Phasor diagram of IM
clc,clear,close all
disp('   Enter induction machine parameters in per unit:')                                             
% -----------------   Machine parameters in per unit:  --------------------
     Rs=input('Stator resistance Rs [default = 0.01] =');
     if isempty(Rs) Rs=0.01; end; 
     Lsl=input('Stator leakage inductance Lsl [default = 0.10] =');
     if isempty(Lsl) Lsl=0.10; end; 
     Rr=input('Rotor resistance Rr [default = 0.02] =');
     if isempty(Rr) Rr=0.02; end;
     Lrl=input('Rotor leakage inductance Lrl [default = 0.10] =');
     if isempty(Lrl) Lrl=0.10; end; 
     Lm=input('Magnetizing inductance Lm [default = 4.5] =');
     if isempty(Lm) Lm=4.5; end; 
     vs=input('Input voltage vs [default = 1.0] =');
     if isempty(vs) vs=1.0; end;
     ws=input('Frequency ws [default = 1.0] =');
     if isempty(ws) ws=1.0; end; 
     n0=input('Speed n0 [default = 0.98] =');
     if isempty(n0) n0=0.98; end;
     if n0==ws n0=ws+eps;end
disp('~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~')
disp('    Rs        Lsl       Rr        Lrl       Lm        vs        ws')
param=[Rs Lsl Rr Lrl Lm vs ws];
disp(param)

Ls=Lsl+Lm ; Lr=Lrl+Lm;
j=sqrt(-1);
    Zr=Rr/(ws-n0)+j*Lrl; Zm=j*Lm*Zr/(j*Lm+Zr);  Zin=Rs/ws+j*Lsl+Zm;
    Is=vs/(ws*Zin);  Ir=-Is*j*Lm/(j*Lm+Zr); Ismag=abs(Is);Irmag=abs(Ir);
    Im=Is+Ir;
    Req=real(Zm);    Tl0=Is*conj(Is)*Req;
    phis=Ls*Is+Lm*Ir;  phir=Lm*Is+Lr*Ir;    phids=real(phis);  phiqs=imag(phis);
    phidr=real(phir);  phiqr=imag(phir);    phismag=abs(phis); phirmag=abs(phir);
    phim=Lm*Im; phimd=real(phim); phimq=imag(phim);
    op=[n0  Tl0  Ismag   Irmag  phismag phirmag] ;
    disp('                 Operating point ')
    disp('       n     Tl         Is        Ir        fs       fr')  
    disp(op) 
    
 figure('Position',[50 65 450 565],'Name','PHASORS OF AN INDUCTION MACHINE',...
         'NumberTitle','off',...
         'DoubleBuffer','off');
     
      compass(Is,'r');text(real(Is),imag(Is),'I_s'),hold on
      compass(Ir,'m');text(real(Ir),imag(Ir),'I_r')
      compass(phis,'g');text(real(phis),imag(phis),'f_s')
      compass(phir,'b');text(real(phir),imag(phir),'f_r')
      compass(1,0,'k');text(1,0,'V')
      set(findobj(gca,'Type','line'),'LineWidth',2)
      title('PHASORS')
      text(-1.2*Ismag,-1.38*Ismag,['Torque = ',num2str(Tl0)],'Fontweight','b','FontSize',12)
      text(-1.2*Ismag,-1.49*Ismag,['Speed = ',num2str(n0)],'Fontweight','b','FontSize',12)
      text(-1.2*Ismag,-1.60*Ismag,['Stator current = ',num2str(Ismag)],'FontWeight','b','FontSize',12)
      legend('Is','Ir','fs','fr','V',0)
            hold off
            
      figure('Position',[510 65 600 565],'Name','PHASOR DIAGRAM',...
         'NumberTitle','off',...
         'DoubleBuffer','off'); 
         
     xb=0;yb=0;
     vds=vs;vqs=0;co='k';
     vector_draw(xb,yb,vds,vqs,co)
     ids=real(Is);iqs=imag(Is);co='r';
     vector_draw(xb,yb,ids,iqs,co)
     idr=real(Ir);iqr=imag(Ir);co='m';
     vector_draw(xb,yb,idr,iqr,co)
     co='g';
     vector_draw(xb,yb,phids,phiqs,co)
     co='b';
     vector_draw(xb,yb,phidr,phiqr,co)
     co='c';
     vector_draw(xb,yb,phimd,phimq,co)
     IRds=-real(Rs*Is);IRqs=-imag(Rs*Is);
     co='k';
     vector_translate(xb,yb,IRds,IRqs,vds,vqs,co)
     imd=real(Im);imq=imag(Im);co='y';
     vector_draw(xb,yb,imd,imq,co)
     ILdr=real(Lrl*Ir); ILqr=imag(Lrl*Ir);
     co='b';
     vector_translate(xb,yb,ILdr,ILqr,phimd,phimq,co)
      ILds=real(Lsl*Is); ILqs=imag(Lsl*Is);
     co='g';
     vector_translate(xb,yb,ILds,ILqs,phimd,phimq,co)
     an=90; co='g';
     vector_rotate(xb,yb,phids,phiqs,an,co)
     vds=vs;vqs=0;co='k';
     vector_draw(xb,yb,vds,vqs,co)
     
     title('PHASOR DIAGRAM')
     set(findobj(gca,'Type','line'),'LineWidth',2)
     set(findobj(gca,'type','line','color',[1 1 0]),...
         'color',[.5,0,0])
     open diagram1_im.fig
     %%%%%%%%