% --------------------  GRAPHICAL DISPLAYS for <<SMabcsimload3.mdl>>  ---------------------
 close all                                      % pu   
 Te=y(:,1); TL=y(:,2);                          % Torques
 spd=y(:,3);                                    % Speed 
 ias=x(:,1)  ;  ibs=x(:,2) ; ics=x(:,3);        % Stator 3-phase instantaneous currents 
 Is=sqrt(ias.^2+(ibs-ics).^2/3)  ;              % Stator current magnitude
 iff=x(:,4);                                    % Field current
 angle=y(:,4);                                  % Torque angle [o]
 tf=t(length(t)); 
  A=cos(wo*t);
  er=1e-4;
  indx=find(A>=1-er & A<=1+er);
  pf=-ias(indx)./Is(indx);                      % Power factor
  dl=length(pf)-1;
  T=0:tf/dl:tf;
  
  figure('Units','Normalized','Position',[.46 .49 .47 .34],'Name','Alternator loading');
  figure(1)
  plot(t,Te,'-b',t,TL,'-c'),grid,title('TORQUES'),xlabel('Time [s]'),ylabel('Torque [pu]')
  legend('electromagnetic torque','load torque',3)
  
  figure('Units','Normalized','Position',[.01 .08 .45 .32],'Name','Alternator loading');
  figure(2) 
   plot(t,ias,'-r');title('Stator current','color','r'),xlabel('Time [s]'),ylabel('ias [pu]'),grid
   figure('Units','Normalized','Position',[.46 .08 .47 .32],'Name','Alternator loading'); 
  figure(3) 
   plot(t,iff,'-g');title('Field current vs time','color','r');xlabel('Time [s]'),ylabel('Field current [pu]'),grid 
   figure('Units','Normalized','Position',[.01 .50 .45 .32],'Name','Alternator loading'); 
  figure(4) 
   plot(t,angle,'-m');title('Torque angle vs time','color','r');xlabel('Time [s]'),ylabel('Torque angle \delta [o]'),grid 
  figure('Units','Normalized','Position',[.02 .53 .45 .32],'Name','Alternator loading'); 
  figure(5) 
   plot(angle,spd,'-c');title('Speed vs angle','color','r');xlabel('Angle \delta [o]'),ylabel('Speed [pu]'),grid 
  figure('Units','Normalized','Position',[.02 .53 .45 .32],'Name','Alternator loading'); 
  figure(6) 
   plot(angle,Te,'color',[.5 0 0]);title('Angle vs Torque','color','r');xlabel('Angle \delta [o]'),ylabel('Torque [pu]'),grid
   figure('Units','Normalized','Position',[.48 .02 .50 .32],'Name','Alternator loading');
   figure(7)
   plot(T',pf,'-m');title('Alternator pf','color','r');xlabel('Time [s]'),ylabel('Power factor'),grid 