%Definisanje parametara motora
ra=0.18; rf=4; La=0.0062; Lf=0.0095; Laf=0.1; J=0.04; Bm=0.007;
ua=100; uf=20;
% Definisanje vremenskih konstanti
Ta=La./ra; Tf=Lf./rf; Tm=J./Bm; 
Psif=Laf.*uf/rf; 
% Definisanje matrica prostora stanja
A=[-1./Ta -Psif./(ra.*Ta); Psif/(Bm.*Tm) -1./Tm];
B=[1./(ra.*Ta) 0; 0 -1./(Bm.*Tm)];
C = [1   0];
% vreme trajanja simulacije sa korakom 10 ms
t = 0:0.01:.8; 
% defiisanje napona Ua =100 V i momenta opterecenja  Mopt=10 Nm za sve
% vreme trajanja simulacije
u = [0*t+100;0*t+10];
% definisanje pocetnih vrednosti struje indukta i ugaone brzine
x0 = [0 0]; 
% resavanje jednacine koriscenjem funkcije lsim
[y,x] = lsim(A,B,C,0,u,t,x0); 
%crtanje grafika
ia = x(:,1);   % struja indukta
subplot(121); plot(t,ia); xlabel('Vreme [s]'); title('Struja indukta [A]'); grid
w = x(:,2);   % ugaona brzina
subplot(122); plot(t,w); xlabel('Vreme [s]'); title('Ugaona brzina [rad/s]'); grid

