% C curves of synchronous generator
clear,close all
warning off
%DATA
% no saliency
V=1.0; X=1; Ra=0.002;
j=sqrt(-1);
co='rbg';b=0;

figure('Units','normalized','Position',[0.05 0.05 .9 .8],'Name',' SYNCHRONOUS GENERATOR','NumberTitle','off') 
for pf=[-.8 .8 1]
    b=b+1;
 if pf<0, w=-1; else w=1; end   
phi=acos(abs(pf));
pf1=abs(pf);

P=0:.05:2;
Im=P/(V*pf1);    
Id=Im*pf1; Iq=w*Im*sin(phi);
Ibar=Id+j*Iq;
Ebar=V-(j*X+Ra)*Ibar;
E=abs(Ebar);

%%PLOTS
  plot(Im,E,co(b)),title('C- compounding curves of the synchronous generator','fontsize',14),
   ylabel('Excitation voltage E to maintain Vt = 1','color','b','fontsize',14),
   xlabel('Load  [pu]','color','r','fontsize',14) ,grid,hold on
  axis([0 1.2 0 2]);
end

 text(0.85,0.9,'pf = 0.8 lead','color','r','fontsize',12)
 text(0.85,1.85,'pf = 0.8 lag','color','b','fontsize',12)
 text(.85,1.45,'pf = unity','color','g','fontsize',12)