%                <<<   DATA FOR SMabcrel1.mdl  >>>
clc,close all
%%%%%%%%%%%%%%%%%%%%%%% PARAMETERS [pu] %%%%%%%%%%%%%%%%%%%%%%%%
 % --------------------     MACHINE PARAMETERS [pu] -----------------
Ra=0.03    ; %Stator resistance 
Ld=1.80    ; %Direct-axis inductance
Lq=0.90    ; %Quadrature-axis inductance
Lal=0.10   ; %Armature leakage inductance
Rkd=0.2    ; %D-axis damper resistance
Rkq=0.2    ; %Q-axis damper resistance
Lkd=1.3    ; %D-axis damper inductance
Lkq=1.2    ; %Q-axis damper inductance
Lakd=1.0   ; %Peak mutual inductance between direct-axis damper and armature
Lakq=1.0   ; %Peak mutual inductance between quadrature-axis damper and armature
freq0=60   ; %Frequency [Hz]
wo=2*pi*freq0 ; %Base frequency (rad/s)
H=0.5       ; %Inertia constant [s]
TL1=0.10    ; %Initial load torque
TL2=0.25    ; %Final load torque < T_max=.5*Vm^2*(1/Lq-1/Ld)
Bm=1e-3     ; %Frictional coefficient
Vm=1.0      ; %Stator voltage
t1=5.0      ; %Time of load application [s]
gam=2*pi/3  ;       

 Lad=Ld-Lal;   Laq=Lq-Lal;
   L2=(Lad-Laq)/2;
   Lm=(Lad+Laq)/2;
   Lm1=Lm;
   Lao=Lm+Lal;
   Labo=-0.5*Lm;
     
Lfkd=1.0; Laf=1.0; Lakd=1.0; Lakq=1.0;  
 
    R=diag([Ra Ra Ra Rkd Rkq]);               % Resistance matrix 
   
   % Inductance matrices 
  %Lss=[Ls   -Lm1/2 -Lm1/2   
    %   -Lm1/2   Ls  -Lm1/2
    %  -Lm1/2 -Lm1/2   Ls] ;
    
    Lrr=[Lkd   0 
          0   Lkq ];
           
  
  %% Lsr=[Laf*cos(theta)     Lakd* cos(theta)     -Lakq*sin(theta)
  %       Laf*cos(theta-gam) Lakd*cos(theta-gam)  -Lakq*sin(theta-gam)
  %       Laf*cos(theta+gam) Lakd*cos(theta+gam)  -Lakq*sin(theta+gam)];
    
   %% dLsr=[-Laf*sin(theta)     -Lakd*sin(theta)      -Lakq*cos(theta)
   %     -Laf*sin(theta-gam) -Lakd*sin(theta-gam)  -Lakq*cos(theta-gam)
   %     -Laf*sin(theta+gam) -Lakq*sin(theta+gam)  -Lakq*cos(theta+gam)];
  
  %% L = [Lss Lsr
  %%     Lsr' Lrr]
  
  %%% Matrix formulation of induction machine equations in abc phase variable model
  %%% Constitutive flux-current relations:
  %%%    F = L*I   or  I = L\F  
  %%% Electrical system equations:
  %%%    V= R*I + dF/wodt = R*I + d(L*I)/wodt = (R + wm*dL/dtheta)*I + L*dI/wodt  
  %%% Mechanical system equation:
  %%%    Te =2H*dwm/dt + TL + Bm*wm
  %%%    wm = dtheta/wodt
       
  %% Te=1/2*I'*dLdtheta*I          Electromagnetic torque
 