%                <<<   DATA FOR SMabcsingle.mdl  >>>
clc,close all
%%%%%%%%%%%%%%%%%%%%%%% PARAMETERS [SI] %%%%%%%%%%%%%%%%%%%%%%%%
Vm=240;    %Stator ac voltage  [V]
vr=140;    %Rotor dc voltage [V]
vr1=80;    %Under excitation
vr2=140;   %
vr3=70;    %Over excitation
Rs=.02 ;   %Stator resistance [Ohm]
Rr=2;      %Rotor resistance  (Ohm)
Ls=.1 ;    %Stator  inductance(H)
Lr=.001 ;  %Rotor  inductance  (H)
Lm=.009;   %Mutual inductance (max) [H]
freq0=60 ; %Base frequency (Hz)
wo=2*pi*freq0 ; %Base frequency (rad/s)
J=.10 ;    %Moment of inertia (kg.m^2)
TL=1.6;    %Initial load torque [N.m]
           %<positive for motor; negative for generator>
p=2;       %Number of poles
Bm=1e-6;   %Frictional coefficient
nsync=120*freq0/p;%Synchronous speed [rpm]

  
    R=diag([Rs Rr]);               % Resistance matrix   
    
    %%    Inductance matrix:
    %%       L = [Ls        Lm*cos(theta)
    %%         Lm*cos(theta)     Lr     ]
  
    %% dLdtheta=[    0    -Lm*sin(theta)    
    %%          -Lm*sin(theta)    0     ]
  
       
  
  %%% Matrix formulation of induction machine equations in abc phase variable model
  %%% Constitutive flux-current relations:
  %%%    F = L*I   or  I = L\F  
  %%% Electrical system equations:
  %%%    V= R*I + dF/dt = R*I + d(L*I)/dt = (R + wm*dL/dtheta)*I + L*dI/dt  
  %%% Mechanical system equation:
  %%%    Te = J*dwmec/dt + TL + Bm*wmec
  %%%    wm = p/2*wmec
  %%%    wm = dtheta/dt
       
  %% Te=p/4*I'*dLdtheta*I=-p/2*Lm*is*ir*sin(theta)          Electromagnetic torque
 