%  creates figure for SM phasors
clear,clc,close all
figure('Units','pixels', ...
   'Color',[0.8 0.8 0.8], ...
   'Name','Synchronous Machine Parameters',...
   'NumberTitle','off',...
	'Position',[505 65 500 596], ...
	'ToolBar','none');
 uicontrol('Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.8 0.3 0.04], ...
	'String','Terminal voltage V =', ...
	'Style','text');
hV=uicontrol('Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[0.35 .8 .13 .04], ...
	'String','1.0', ...
	'Style','edit', ...
	   'TooltipString',' V');
uicontrol(	'Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.7 0.3 0.04], ...
   'String','Internal voltage E =', ...
   'Style','text');
 hE=uicontrol( 'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[0.35 .7 .13 .04], ...
	'String','1.8', ...
	'Style','edit', ...
	'TooltipString','E');
 uicontrol('Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.6 0.3 0.045], ...
	'String','Reactance X =', ...
	'Style','text');
hX=uicontrol('Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[0.35 .6 .13 .04], ...
	'String','1', ...
	'Style','edit', ...
	'TooltipString','X');
uicontrol('Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.05 0.5 0.3 0.045], ...
	'String','Power input P =', ...
	'Style','text');
 hP=uicontrol('Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[0.35 .5 .13 .04], ...
	'String','1.0', ...
	'Style','edit', ...
	'TooltipString','P');
uicontrol(	'Units','normalized', ...
	'BackgroundColor',[0.76 0.76 0.76], ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.6], ...
	'HorizontalAlignment','left', ...
	'Position',[0.65 0.5 0.3 0.06], ...
	'String','P>0 for motor & P<0 for generator', ...
	'Style','text');
uicontrol('Units','normalized', ...
	'Callback','smphasor2', ...
	'FontSize',12, ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.5], ...
	'Position',[0.4 0.35 0.3 0.10], ...
	'String','Phasor diagram', ...
   'TooltipString','phasors');
uicontrol('Units','normalized', ...
	'Callback','clc,clear, close all', ...
	'FontSize',12, ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.5], ...
	'Position',[0.45 0.15 0.2 0.10], ...
	'String','Quit', ...
   'TooltipString','Quit');
uicontrol('Units','normalized', ...
	'BackgroundColor',[0.75 0.75 0.75], ...
	'FontSize',12, ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.63], ...
	'Position',[0.1 0.95 0.8 0.05], ...
	'String',' Synchronous machine parameters', ...
	'Style','text');
 uicontrol('Units','normalized', ...
    'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.82], ...
	'Position',[0.36 0.87 0.31 0.06], ...
	'String','Enter parameter values in per unit:', ...
	'Style','text');
