function vecarrow(A,B,colorspec) 
  % plots a colored line vector in 2D with arrow at terminus
  % A specifies the cartesian coordinates of the starting point, B the coordinates of the terminus point
  % colorspec='k|r|b|g|y|m|c' or colorspec=[RGB value]
  % written by M.Riaz
x=[A(1) B(1)];
y=[A(2) B(2)];
line(x,y,'color',colorspec);
ax=axis;
qx=(ax(2)-ax(1))*.05;
qy=(ax(4)-ax(3))*.015;
phi=180/pi*(atan2(B(2)-A(2),B(1)-A(1)));
h0=patch([B(1)-qx B(1) B(1)-qx],[B(2)+qy B(2) B(2)-qy],colorspec,'edgecolor',colorspec);
rotate(h0,[0 0 1],phi,[B(1) B(2) 0])
%axis equal;
%
