%  vectrolrun.m file used to run imvectrol.mdl
%  parametric vector control of induction motor
%  detuning effects
clc,close all,clear
par=0.2:0.2:2;
Te=[];delta=[];wr=[];fr=[];
for m=1:length(par)
   ktune=par(m);
   sim('imvectrol')
   Te=[Te torque];
   delta=[delta angle];
   wr=[wr slip];
   fr=[fr flux];
end
%% PLOTS
  figure('Position',[20  400  490  296],'Name','Torque',...
    'NumberTitle','off');
 plot(t,Te), xlabel('VREME [s]'),ylabel('MOMENT [r.j.]'),grid
 figure('Position',[510 400  490  296],'Name','Angle',...
    'NumberTitle','off');
 plot(t,delta), xlabel('VREME [s]'),ylabel('DELTA [stepeni]'),grid
 figure('Position',[510 50 490  280],'Name','slip',...
    'NumberTitle','off');
 plot(t,wr), xlabel('VREME [s]'),ylabel('KLIZANJE [r.j.]'),grid
 figure('Position',[20 50 490  280],'Name','Rotor flux',...
    'NumberTitle','off');
  plot(t,fr), xlabel('VREME [s]'),ylabel('ROTOR FLUKS [r.j.]'),grid
